summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d/mounttmpfs
diff options
context:
space:
mode:
Diffstat (limited to 'src.etc/init.d/mounttmpfs')
-rwxr-xr-xsrc.etc/init.d/mounttmpfs8
1 files changed, 4 insertions, 4 deletions
diff --git a/src.etc/init.d/mounttmpfs b/src.etc/init.d/mounttmpfs
index 902ad1d..96b398e 100755
--- a/src.etc/init.d/mounttmpfs
+++ b/src.etc/init.d/mounttmpfs
@@ -4,14 +4,14 @@ start()
{
printf 'Mounting temporary file systems... '
- if ! mount | grep -F ' /run ' 2>&1 | :; then
+ if ! mount | grep -Fq ' /run '; then
mount -t tmpfs -o nodev,noexec,nosuid,mode=0755 tmpfs /run
fi
[ -d /run/lock ] || mkdir -m 1777 /run/lock
[ -d /run/shm ] || mkdir -m 1777 /run/shm
- if ! mount | grep -F ' /tmp ' 2>&1 | :; then
+ if ! mount | grep -Fq ' /tmp '; then
mount -t tmpfs -o nodev,nosuid,mode=1777 tmpfs /tmp
fi
@@ -22,11 +22,11 @@ stop()
{
printf 'Unmounting temporary file systems... '
- if mount | grep -F ' /run ' 2>&1 | :; then
+ if mount | grep -Fq ' /run '; then
umount /run
fi
- if mount | grep -F ' /tmp ' 2>&1 | :; then
+ if mount | grep -Fq ' /tmp '; then
umount /run
fi